Certain versions of SLIST and USERLIST have a problem that they
do not work on ARCNET networks that have IO port set to 2E0.

This is at least with some 2.15C and NW 386 versions of thos
utilities. The reason for this is that the initialization
routines within the utilities check for a display adapter
in the PS/2 MCA machine at IO address 92E8. Since the IO bus
in a standard PC does not see any difference between address
92E8 and 2E8, the ARCNET board at 2E8 (within the 2E0-2EF range)
will be reset by the initialization routine.

Below is a simple patch that will take care of this problem. I
tested it on different machines and it seems to work ok. The
special MCA screen will not work anymore I think. (I did not test
that).

At the DOS prompt type the following:

    C> REN SLIST.EXE SLIST.Q
    C> DEBUG SLIST.Q
    - S 100 6000 BA E8 9A
    xxxx:4BBC     <-- remember the last part of this number
    - E 4BBC C3   <-- type here the same number, followed by C3
    - W
    Writing xxxx bytes
    - Q
    C> REN SLIST.Q SLIST.EXE
   
The same procedure can be followed with USERLIST.EXE. The offset
will have a different value (with me that was 5062).
 
Bart Mellink, Cyco Automation, Holland, ID 75170,1156

